curl --request GET \
--url https://api.synctera.com/v2/edd \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/edd"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/edd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edd_reports": [
{
"reason": "CASE_REQUEST",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "ACCOUNT",
"creation_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source_of_funds": "INVESTMENT",
"transaction_purpose": "Phone bill",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List EDD
Get paginated list of EDD
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique identifier for the related resource. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Type of related resource. Multiple values can be provided as a comma-separated list.
related resource type
ACCOUNT, BUSINESS, CUSTOMER, TRANSACTION Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Response
List of EDD based on related resource type
Array of edd reports.
Additional information submitted about the transaction.
- Transaction
- Account
- Customer
- Business
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
"a8937a0d"
Was this page helpful?

